NoSuchDefinitionException (Apache Struts API Documentation)
Keywords: org.apache.struts.tiles.NoSuchDefinitionException,NoSuchDefinitionException class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.struts.tiles
Class NoSuchDefinitionException

    java.lang.Object
      |
      +--java.lang.Throwable
            |
            +--java.lang.Exception
                  |
                  +--org.apache.struts.tiles.TilesException
                        |
                        +--org.apache.struts.tiles.DefinitionsFactoryException
                              |
                              +--org.apache.struts.tiles.NoSuchDefinitionException

All Implemented Interfaces:
  java.io.Serializable

public class NoSuchDefinitionException
extends DefinitionsFactoryException

Exception thrown when a definition is not found.

See Also:
  Serialized Form

Field Summary

Fields inherited from class org.apache.struts.tiles.DefinitionsFactoryException
``

Fields inherited from class java.lang.Exception
``

Fields inherited from class java.lang.Throwable
``

Constructor Summary
`NoSuchDefinitionException()` Constructor.
`NoSuchDefinitionException(java.lang.String msg)` Constructor.

Methods inherited from class org.apache.struts.tiles.DefinitionsFactoryException
`getException, getMessage`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### NoSuchDefinitionException

    public NoSuchDefinitionException()

  Constructor.

### NoSuchDefinitionException

    public NoSuchDefinitionException(java.lang.String msg)

  Constructor.

Parameters:
  `msg` - Message.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2003 - Apache Software Foundation